/**
 * Copyright ProjectNya ( http://wonderfl.net/user/ProjectNya )
 * MIT License ( http://www.opensource.org/licenses/mit-license.php )
 * Downloaded from: http://wonderfl.net/c/ndee
 */

////////////////////////////////////////////////////////////////////////////////
// TransitionManager
////////////////////////////////////////////////////////////////////////////////

package {

    import flash.display.Sprite;
    import flash.display.MovieClip;
    import flash.events.Event;
    import fl.transitions.*;
    import fl.transitions.easing.*;

    [SWF(backgroundColor="#FFFFFF", width="465", height="465", frameRate="30")]

    public class Main extends Sprite {
        private var image0:MovieClip;
        private var image1:MovieClip;
        private var image2:MovieClip;
        private var tm1:TransitionManager;
        private var tm2:TransitionManager;
        private var param1:Object;
        private var param2:Object;

        public function Main() {
            //Wonderfl.capture_delay(1);
            init();
        }

        private function init():void {
            image0 = new MovieClip();
            addChild(image0);
            image0.x = 32;
            image0.y = 32;
            image0.graphics.beginFill(0x000000);
            image0.graphics.drawRect(0, 0, 400, 400);
            image0.graphics.endFill();
            //
            image1 = new MovieClip();
            addChild(image1);
            image1.x = 32;
            image1.y = 32;
            image1.graphics.beginFill(0xFF0000);
            image1.graphics.drawRect(0, 0, 400, 400);
            image1.graphics.endFill();
            //
            image2 = new MovieClip();
            addChild(image2);
            image2.x = 32;
            image2.y = 32;
            image2.graphics.beginFill(0x0000FF);
            image2.graphics.drawRect(0, 0, 400, 400);
            image2.graphics.endFill();
            //
            tm1 = new TransitionManager(image1);
            param1 = {
                type: PixelDissolve,
                direction: Transition.IN,
                duration: 3,
                easing: None.easeNone,
                xSections: 70, ySections: 15
            };
            tm1.addEventListener("allTransitionsInDone", done1, false, 0, true);
            //
            tm2 = new TransitionManager(image2);
            param2 = {
                type: Blinds,
                direction: Transition.IN,
                duration: 3,
                easing: None.easeNone,
                numStrips: 20,
                dimension: 1
            };
            tm2.addEventListener("allTransitionsInDone", done2, false, 0, true);
            //
            image2.visible = false;
            tm1.startTransition(param1);
        }
        private function done1(evt:Event): void {
            //image1.visible = false;
            tm2.startTransition(param2);
        }
        private function done2(evt:Event): void {
            image2.visible = false;
            tm1.startTransition(param1);
        }

    }

}
